Bug 24462 - Adjust K::A::Invoice API mapping to voted RFC
Summary: Adjust K::A::Invoice API mapping to voted RFC
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: REST API (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Tomás Cohen Arazi
QA Contact:
URL: https://wiki.koha-community.org/wiki/...
Keywords:
Depends on: 18731
Blocks: 20212
  Show dependency treegraph
 
Reported: 2020-01-20 14:28 UTC by Tomás Cohen Arazi
Modified: 2020-03-05 00:34 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 24462: Adapt mapping to voted RFC (Invoices) (1.34 KB, patch)
2020-01-20 14:30 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 24462: Adapt mapping to voted RFC (Invoices) (1.38 KB, patch)
2020-02-03 09:38 UTC, David Nind
Details | Diff | Splinter Review
Bug 24462: Adapt mapping to voted RFC (Invoices) (1.44 KB, patch)
2020-02-09 10:58 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2020-01-20 14:28:11 UTC
Now it has been voted, it needs to be adjusted.
Comment 1 Tomás Cohen Arazi 2020-01-20 14:30:33 UTC
Created attachment 97624 [details] [review]
Bug 24462: Adapt mapping to voted RFC (Invoices)

This trivial patch changes the attribute names for API reprensentation
of Koha::Acquisition::Invoice objects.

To test:
1. Open https://wiki.koha-community.org/wiki/Acquisitions_invoices_endpoint_RFC
2. Check the mappings are correct
=> SUCCESS: The patch makes the right changes to the mappings
3. Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 2 David Nind 2020-02-03 09:38:05 UTC
Created attachment 98277 [details] [review]
Bug 24462: Adapt mapping to voted RFC (Invoices)

This trivial patch changes the attribute names for API reprensentation
of Koha::Acquisition::Invoice objects.

To test:
1. Open https://wiki.koha-community.org/wiki/Acquisitions_invoices_endpoint_RFC
2. Check the mappings are correct
=> SUCCESS: The patch makes the right changes to the mappings
3. Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Katrin Fischer 2020-02-09 10:58:45 UTC
Created attachment 98616 [details] [review]
Bug 24462: Adapt mapping to voted RFC (Invoices)

This trivial patch changes the attribute names for API reprensentation
of Koha::Acquisition::Invoice objects.

To test:
1. Open https://wiki.koha-community.org/wiki/Acquisitions_invoices_endpoint_RFC
2. Check the mappings are correct
=> SUCCESS: The patch makes the right changes to the mappings
3. Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Martin Renvoize 2020-02-10 09:23:34 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 5 Joy Nelson 2020-03-05 00:34:59 UTC
not backported to 19.11.x due to dependencies